// pages/reservationPipe/info.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    info: {},

    appointmentStatusArray: [{
      dictValue: "",
      dictLabel: "全部状态"
    }],
    appointmentStatusIndex: 0,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    //预约审核状态
    let treeData = app.globalData.treeArr
    for (const element of treeData) {
      let arrStr;
      switch (element.dictValue) {
        case 'appointment_status':
          arrStr = "appointmentStatusArray";
          break;
      }
      let getArray =[{
        dictValue: "",
        dictLabel: "全部状态"
      }]
      this.setData({
        [arrStr]: getArray.concat(element.children)
      })
    }
    //获取详情
    var pages = getCurrentPages();
    var prevPage = pages[pages.length - 2];
    let getInfo = prevPage.data.resData[options.index]
  
    this.setData({
      info     : getInfo
    })

    app.request.GET({
      url: app.API.bizpipeplanDetail,
      params: {'id' : getInfo.orderId},
      page: this,
      successFun: true
    }).then(res => {
      let getInfo = res.data.data;
      this.setData({
        planNumber      : getInfo.planNumber,
        planName        : getInfo.planName,
        planCount       : getInfo.planCount,
        planAlreadyCount: getInfo.planAlreadyCount,
      })
    })
    //this.getInfo(options.id)
  },

  // //查询详情
  // getInfo: function (id) {
  //   app.request.GET({
  //     url: app.API.bizloadarriveDetail,
  //     page: this,
  //     params: {
  //       'id': id
  //     },
  //     successFun: true
  //   }).then(res => {
  //     let getInfo = res.data.data;
  //     //司机回签图片
  //     let fileList = []
  //     if(getInfo.unloadImg){
  //       let unloadImgArr = getInfo.unloadImg.split(',')
  //       unloadImgArr.forEach(element => {
  //         fileList.push({
  //           url: app.host.BASEIMG_URL+element,
  //           isImage:true
  //         })
  //       });
  //     }
  //     this.setData({
  //       info              : getInfo,
  //       fileList          : fileList,
  //       accessControlAuth : JSON.parse(getInfo.accessControlAuth)
  //     })
  //   })
  // },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})